For some strange reason, sun-java6 packages are no longer part of the Multiverse section in Ubuntu Lucid (10.04). What this means is that alot of applications which can only run with sun java and not openjdk cannot be installed. A classic case of this Limewire for Ubuntu and Frostwire (similar to limewire, with no ads, and its said to be the next limewire), which both require sun java. So here is a quick and simple way to enable sun java in Ubuntu 10.04:

add-apt-repository "deb http://archive.canonical.com/ lucid partner"

Referenced from:

https://wiki.ubuntu.com/LucidLynx/ReleaseNotes#Sun Java moved to the Partner repository

Have a great day! over n out!